Start/Endpunkt eines Elementes

Was für ein Lisp-Tool sucht ihr? Oder welches Problem bedarf einer Lösung?

Moderator: Moderator

Antworten
Maurizio

Start/Endpunkt eines Elementes

Beitrag von Maurizio » Sa 25. Feb 2006, 16:08

Hallo!
Gibt es ein .lsp Programm, das Startpunkt und Endpunkt von angeklickten oder markierten Elemente wie LINE, ARC, usw in eine Datei speichert? :?:

Benutzeravatar
CADwiesel
Administrator
Beiträge: 367
Registriert: Mo 11. Jun 2018, 13:07
Kontaktdaten:

Beitrag von CADwiesel » Mo 27. Feb 2006, 08:03

Ja gibts hier:

Code: Alles auswählen


(if (and (setq elem (car (entsel)))
         (wcmatch (cdr (assoc 0 (entget elem))) "*LINE")
         (setq p1 (vlax-curve-getstartPoint (vlax-ename->vla-object elem))
               p2 (vlax-curve-getendPoint (vlax-ename->vla-object elem))
               ) ;_ end of setq
         ) ;_ end of and
  (progn
    (setq LOGDAT (open "C:\\Temp\\Vertexe.txt" "a"))
    (prin1 p1 logdat)
    (prin1 p2 logdat)
    (close logdat)
    ) ;_ end of progn
  ) ;_ end of if
Gruß
BildCADwiesel
Besucht uns im CHAT

Maurizio
Newbie
Beiträge: 1
Registriert: So 19. Mär 2006, 18:41

Funzt nicht...

Beitrag von Maurizio » So 19. Mär 2006, 18:45

Hallo!
Danke für die Hilfe,
funktioniert (zumindest mit ACad 14) aber leider nicht.
Beim Starten der lsp-Anwendung kommt der Prompt "Element wählen".
Wählt man dann eine LINE, so kommt eine Fehlermeldung.
Wählt man dagegen einen Bogen, passiert gar nichts.
:(

Benutzeravatar
CADwiesel
Administrator
Beiträge: 367
Registriert: Mo 11. Jun 2018, 13:07
Kontaktdaten:

Beitrag von CADwiesel » Mo 20. Mär 2006, 08:09

Tja, da kann mann man sehen, wie wichtig es ist sich ordentlich auszudrücken.

In Autocad 14 stand die vl-schnittstelle nicht automatisch zur Verfügung.
Solltest du den Visual-lisp editor nicht implementiert haben, so bleibt dir nichts anderes übrig als die angehängte arx zu benutzen. Ist das gleiche Programm, nur kompiliert für R14. (Aufruf mit: test )

Es wird dir aber auf alle Fälle wird dir eine Datei erstellt: C:\\Temp\\Vertexe.txt mit dem Start und Endpunkt.

Als Alternative besteht aber die Möglichkeit, ein Extra Programm für dich zu erstellen, welches ohne vl arbeitet.
Da müsste mann sich aber nochmal unterhalten......
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.
Gruß
BildCADwiesel
Besucht uns im CHAT

Antworten